import { RootStore, Store } from './index';
export declare class ChildStore<T> extends Store<T> {
    private parent;
    private key;
    constructor(getRootStore: () => RootStore<object>, parent: Store<any>, key: any);
    set(value: T): void;
    delete(): void;
    state(): T;
    refersToSameStateAs(other: Store<T>): boolean;
    protected maybeActivate(): void;
    protected maybeDeactivate(): void;
    private shouldBeActive;
    private isActive;
}
